Subject: ANNOUNCE: CGI::LogCarp-1.11 posted to CPAN
From: [email-masked]
Date: 16 Aug 1998 19:50:10 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

CGI::LogCarp-1.11 has been posted to PAUSE and will be propagating through
CPAN shortly.

This module was designed for heavy use sites with _lots_ of CGI applications
in a production enterprise environment. This module gives your apps the
ability to have any mix of independent or combined logging, debugging, and
error-logging capabilities. It also is a superset of Lincoln Stein's
CGI::Carp module, so you can drop it in and go, using the new functionality
as you need it. (Yes, fatalsToBrowser is supported.)

Also, in homage to Ben Sugar's nsapi_perl, I put it on equal footing with
mod_perl support. I hope other CPAN authors will begin to also do the same and
remove hardwired references to mod_perl (i.e. Apache::Registry) to support
Netscape::Registry too.

In addition, I also wrote it as an excercise in writing a well documented
module for CPAN. Only you can tell me if I have suceeded in this endeavor.

See everyone at PerlCon2 in San Jose next week!
Michael King
Internet Technology Specialist

[ from the README ]

CGI::LogCarp

This is the CGI::LogCarp module for perl, providing additional streams for
logging and debugging.

The reason I wrote the module was so that my scripts could have separate and
independant streams for output for activity-based logging and for debug
logging separate from actual error output. I thought "we have STDOUT, STDIN,
and STDERR, so why not a STDBUG and STDLOG to go along with that".

It's designed so that the messages are tiered, in the sense that anything
going to STDERR gets replicated to STDLOG and STDBUG too. Anything going to
STDLOG goes to STDBUG, and STDBUG goes only to itself.

The default is that STDERR, STDBUG, and STDLOG all derive from your script's
original STDERR.

Now, since you can point these new streams to the same location, and different
people (or instances of your script) can point these streams to the same
location, I've removed duplicate messages and handled file locking for you.
This makes it *very* CGI-friendly and you can do something like poke STDBUG
back out to the STDOUT, yet leave STDERR and STDLOG going to your
_application's_ error and activity logs respectively, instead of only being
able to sling something to the web server's error log. Then you see normal
logging in your files, but debug output goes back out to your browser
(probably debugging the CGI)....

Anyway, I'm sure y'all will find all sorts of neato uses I've not thought
of yet, so have at it.

Michael King

Highlights of the new version:
1.11 Thu Jul 30 19:15:48 CST 1998
  - Synchronized to Carp.pm from perl 5.005
  - Synchronized to CGI::Carp-1.101 from perl 5.005
  - Support for: mod_perl, cluck
  - fatalsToBrowser() entity translation order fixed
  - extra streams now optional via :STDBUG and :STDLOG tags
  - fixed Symbol.pm to allow programmable "global" symbols
  - (i.e. always qualify to pkg main)
  - tests written. testing croak, die and friends fails.
  - custom error messages implemented

-----== Posted via Deja News, The Leader in Internet Discussion ==-----
http://www.dejanews.com/rg_mkgrp.xp   Create Your Own Free Member Forum